package cn.efunbox.audio.impl;

import cn.efunbox.audio.entity.Album;
import cn.efunbox.audio.repository.AlbumRepo;
import cn.efunbox.audio.service.AlbumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AlbumServiceImpl
 * Created by xusq on 2018/5/8.
 */
@Service
public class AlbumServiceImpl implements AlbumService {

    @Autowired
    private AlbumRepo albumRepo;

    @Override
    public Album GetOne(Long id) {
        return albumRepo.findOne(id);
    }

    @Override
    public Page<Album> SearchAll(int page, int size) {
        Pageable pageable = new PageRequest(page, size);
        Page<Album> list = albumRepo.findAll(pageable);
        return list;
    }

    @Override
    public Album Insert(Album album) {
        return albumRepo.save(album);
    }

    @Override
    public Album Update(Album album) {
        return albumRepo.save(album);
    }

    @Override
    public List<Album> searchByName(String name) {
        return albumRepo.findByNameLike(name);
    }

    public List<Long> findLikeName(String name) {
        return albumRepo.findIdsByNameLike(name);
    }

}
